Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl
Class SpecificationLinkQueryTypeImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.FilterQueryTypeImpl
                      org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.RegistryObjectQueryTypeImpl
                          org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.SpecificationLinkQueryTypeImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject, FilterQueryType, RegistryObjectQueryType, SpecificationLinkQueryType

    public class SpecificationLinkQueryTypeImpl

extends RegistryObjectQueryTypeImpl
implements SpecificationLinkQueryType

An implementation of the model object 'Specification Link Query Type'.

The following features are implemented:

- `Usage Description Branch`
- `Service Binding Query`
- `Specification Object Query`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`ELAST_EOBJECT_FLAG`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Method Summary
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetServiceBindingQuery(ServiceBindingQueryType newServiceBindingQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetSpecificationObjectQuery(RegistryObjectQueryType newSpecificationObjectQuery, org.eclipse.emf.common.notify.NotificationChain msgs)`
`org.eclipse.emf.common.notify.NotificationChain` | `basicSetUsageDescriptionBranch(InternationalStringBranchType newUsageDescriptionBranch, org.eclipse.emf.common.notify.NotificationChain msgs)`
`java.lang.Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
`org.eclipse.emf.common.notify.NotificationChain` | `eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd, int featureID, org.eclipse.emf.common.notify.NotificationChain msgs)`
`boolean` | `eIsSet(int featureID)`
`void` | `eSet(int featureID, java.lang.Object newValue)`
`void` | `eUnset(int featureID)`
`ServiceBindingQueryType` | `getServiceBindingQuery()`
`RegistryObjectQueryType` | `getSpecificationObjectQuery()`
`InternationalStringBranchType` | `getUsageDescriptionBranch()`
`void` | `setServiceBindingQuery(ServiceBindingQueryType newServiceBindingQuery)`
`void` | `setSpecificationObjectQuery(RegistryObjectQueryType newSpecificationObjectQuery)`
`void` | `setUsageDescriptionBranch(InternationalStringBranchType newUsageDescriptionBranch)`

Methods inherited from class org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.RegistryObjectQueryTypeImpl
`basicSetDescriptionBranch, basicSetNameBranch, basicSetObjectTypeQuery, basicSetStatusQuery, basicSetVersionInfoFilter, getClassificationQuery, getDescriptionBranch, getExternalIdentifierQuery, getNameBranch, getObjectTypeQuery, getSlotBranch, getSourceAssociationQuery, getStatusQuery, getTargetAssociationQuery, getVersionInfoFilter, setDescriptionBranch, setNameBranch, setObjectTypeQuery, setStatusQuery, setVersionInfoFilter`

Methods inherited from class org.eclipse.ohf.ihe.common.ebxml._3._0.query.impl.FilterQueryTypeImpl
`basicSetPrimaryFilter, getPrimaryFilter, setPrimaryFilter`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eIsProxy, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eContainer, eContainingFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eStore, eUnset, eURIFragmentSegment, eVirtualGet, eVirtualGet, eVirtualIsSet, eVirtualSet, eVirtualUnset, toString`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.RegistryObjectQueryType
`getClassificationQuery, getDescriptionBranch, getExternalIdentifierQuery, getNameBranch, getObjectTypeQuery, getSlotBranch, getSourceAssociationQuery, getStatusQuery, getTargetAssociationQuery, getVersionInfoFilter, setDescriptionBranch, setNameBranch, setObjectTypeQuery, setStatusQuery, setVersionInfoFilter`

Methods inherited from interface org.eclipse.ohf.ihe.common.ebxml._3._0.query.FilterQueryType
`getPrimaryFilter, setPrimaryFilter`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Method Detail

### getUsageDescriptionBranch

    public InternationalStringBranchType getUsageDescriptionBranch()

  Specified by:
    `getUsageDescriptionBranch` in interface `SpecificationLinkQueryType`
  Returns:
    the value of the 'Usage Description Branch' containment reference.
  See Also:
    `SpecificationLinkQueryType.setUsageDescriptionBranch(InternationalStringBranchType)`, `QueryPackage.getSpecificationLinkQueryType_UsageDescriptionBranch()`

### basicSetUsageDescriptionBranch

    public org.eclipse.emf.common.notify.NotificationChain basicSetUsageDescriptionBranch(InternationalStringBranchType newUsageDescriptionBranch,
                                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

### setUsageDescriptionBranch

    public void setUsageDescriptionBranch(InternationalStringBranchType newUsageDescriptionBranch)

  Specified by:
    `setUsageDescriptionBranch` in interface `SpecificationLinkQueryType`
  Parameters:
    `newUsageDescriptionBranch` - the new value of the 'Usage Description Branch' containment reference.
  See Also:
    `SpecificationLinkQueryType.getUsageDescriptionBranch()`

### getServiceBindingQuery

    public ServiceBindingQueryType getServiceBindingQuery()

  Specified by:
    `getServiceBindingQuery` in interface `SpecificationLinkQueryType`
  Returns:
    the value of the 'Service Binding Query' containment reference.
  See Also:
    `SpecificationLinkQueryType.setServiceBindingQuery(ServiceBindingQueryType)`, `QueryPackage.getSpecificationLinkQueryType_ServiceBindingQuery()`

### basicSetServiceBindingQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetServiceBindingQuery(ServiceBindingQueryType newServiceBindingQuery,
                                                                                       org.eclipse.emf.common.notify.NotificationChain msgs)

### setServiceBindingQuery

    public void setServiceBindingQuery(ServiceBindingQueryType newServiceBindingQuery)

  Specified by:
    `setServiceBindingQuery` in interface `SpecificationLinkQueryType`
  Parameters:
    `newServiceBindingQuery` - the new value of the 'Service Binding Query' containment reference.
  See Also:
    `SpecificationLinkQueryType.getServiceBindingQuery()`

### getSpecificationObjectQuery

    public RegistryObjectQueryType getSpecificationObjectQuery()

  Specified by:
    `getSpecificationObjectQuery` in interface `SpecificationLinkQueryType`
  Returns:
    the value of the 'Specification Object Query' containment reference.
  See Also:
    `SpecificationLinkQueryType.setSpecificationObjectQuery(RegistryObjectQueryType)`, `QueryPackage.getSpecificationLinkQueryType_SpecificationObjectQuery()`

### basicSetSpecificationObjectQuery

    public org.eclipse.emf.common.notify.NotificationChain basicSetSpecificationObjectQuery(RegistryObjectQueryType newSpecificationObjectQuery,
                                                                                            org.eclipse.emf.common.notify.NotificationChain msgs)

### setSpecificationObjectQuery

    public void setSpecificationObjectQuery(RegistryObjectQueryType newSpecificationObjectQuery)

  Specified by:
    `setSpecificationObjectQuery` in interface `SpecificationLinkQueryType`
  Parameters:
    `newSpecificationObjectQuery` - the new value of the 'Specification Object Query' containment reference.
  See Also:
    `SpecificationLinkQueryType.getSpecificationObjectQuery()`

### eInverseRemove

    public org.eclipse.emf.common.notify.NotificationChain eInverseRemove(org.eclipse.emf.ecore.InternalEObject otherEnd,
                                                                          int featureID,
                                                                          org.eclipse.emf.common.notify.NotificationChain msgs)

  Overrides:
    `eInverseRemove` in class `RegistryObjectQueryTypeImpl`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `RegistryObjectQueryTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `RegistryObjectQueryTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `RegistryObjectQueryTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `RegistryObjectQueryTypeImpl`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD